/**
  Ŀ
 ݳ                                                                          
 ݳ   Program : VOICMENU.CLS                                                 
 ݳ   Purpose : Pyramid Voice menu object definitions and methods            
 ݳ Written By: Craig Snyder                                                 
 ݳThe procedures in this file are Copyright (C) 1988-1992 by the            
 ݳPinnacle dEVELOPMENT Corporation. These programs are the sole property of 
 ݳPinnacle dEVELOPMENT Corporation. They contain confidential information   
 ݳand are a trade secret of Pinnacle dEVELOPMENT Corporation. They are being
 ݳsupplied to you with the express understanding that the information       
 ݳcontained herein be held in confidence by you.  This software is not to be
 ݳcopied, distributed, or displayed to third parties without the express    
 ݳwritten consent of Pinnacle dEVELOPMENT Corporation, and must be returned 
 ݳupon request.  Any use of these programs without the express written      
 ݳconsent of Pinnacle dEVELOPEMENT Corporation, is strictly forbidden.      
 ݳThis software and any companion  documentation are protected by U.S.      
 ݳCopyright law (Title 17 United States Code).  Unauthorized reproduction   
 ݳand/or sale may result in imprisonment of up to one year and fines of up  
 ݳto $10,000 per infraction (17 USC 506).  Copyright infringers may also be 
 ݳsubject to civil liability.  Pinnacle dEVELOPMENT is an independent       
 ݳcorporation incorporated under the laws of the state of Texas, U.S.A.     
 
 

REVISION HISTORY:

 Date        Revision
09-21-92 CS Created.
01-04-93 PS Changes for Class(y) v2.0.

                                                                           */
#include "PINNSTD.CH"
#include "CLASS(Y).CH"

//
CREATE CLASS Menu

// Class definition for a Dialogic voice menu option.

EXPORT:
  VAR cNextAct              // next action
  VAR cTeleKey              // telephone key to press for menu option
  VAR cVoxFile              // Vox file to play for menu option

  METHOD Init               // initialize instance variables
END CLASS

//
METHOD Init(cNextAct, cTeleKey, cVoxFile)

// Creates a Dialogic voice menu object and initializes instance variables.

DEFAULT cNextAct TO '',;
        cTeleKey TO '',;
        cVoxFile TO ''

::cNextAct := cNextAct      // next action
::cTeleKey := cTeleKey      // telephone key to press for menu option
::cVoxFile := cVoxFile      // Vox file to play after menu option selected

RETURN self

